#!/bin/sh

set -eu

URL="${2-}"

if ! CHROME="$(which google-chrome 2>/dev/null)"; then
    if [ -d "/Applications/Google Chrome.app" ]; then
        CHROME="/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
    else
        echo "ERR: Failed to find Google Chrome installation"
        exit 1
    fi
fi

CHROMEDIR="$(mktemp -d)"
# shellcheck disable=SC2064
trap "rm -rf ${CHROMEDIR}" EXIT

"$CHROME" \
    --incognito \
    --no-default-browser-check \
    --no-first-run \
    --user-data-dir="$CHROMEDIR" \
    "$URL"
